<h2 mat-dialog-title>Retirement Plan Configuration</h2>
<div mat-dialog-content>
  <mat-stepper
    #configurationStepper
    class="configuration-stepper"
    orientation="vertical"
    linear
  >
    <mat-step
      label="General Settings"
      [state]="mode === 'preview' ? 'visibility' : 'create'"
      [completed]="configurationStepsCompleted.first"
    >
      <app-step-one
        [mode]="mode"
        [offer]="offer"
        [offersData]="offersData"
        [configurationStepper]="configurationStepper"
        [handleUpdateStepper]="handleUpdateStepper"
        [handleUpdateStepsCompleted]="handleUpdateStepsCompleted"
        [configuration]="configuration"
        [handleUpdateConfiguration]="handleUpdateConfiguration"
        [configurationStepsCompleted]="configurationStepsCompleted"
      ></app-step-one>
    </mat-step>
    <mat-step
      label="Risk Benefit"
      optional
      [state]="mode === 'preview' ? 'visibility' : 'create'"
      [completed]="configurationStepsCompleted.second"
    >
      <app-step-two
        [mode]="mode"
        [offer]="offer"
        [offersData]="offersData"
        [configurationStepper]="configurationStepper"
        [handleUpdateStepper]="handleUpdateStepper"
        [handleUpdateStepsCompleted]="handleUpdateStepsCompleted"
        [configuration]="configuration"
        [handleUpdateConfiguration]="handleUpdateConfiguration"
        [configurationStepsCompleted]="configurationStepsCompleted"
      ></app-step-two>
    </mat-step>
    <mat-step
      label="Saving Contribution"
      optional
      [state]="mode === 'preview' ? 'visibility' : 'create'"
      [completed]="configurationStepsCompleted.third"
    >
      <app-step-three
        [mode]="mode"
        [offer]="offer"
        [offersData]="offersData"
        [configurationStepper]="configurationStepper"
        [handleUpdateStepper]="handleUpdateStepper"
        [handleUpdateStepsCompleted]="handleUpdateStepsCompleted"
        [configuration]="configuration"
        [handleUpdateConfiguration]="handleUpdateConfiguration"
        [configurationStepsCompleted]="configurationStepsCompleted"
        [retirementPlan]="retirementPlan"
        [useRetirementPlanTemplate]="useRetirementPlanTemplate"
        [handleConfigurationCompletion]="handleConfigurationCompletion"
      ></app-step-three>
    </mat-step>
  </mat-stepper>
</div>
